import React from 'react';
import { Text } from 'react-native';
import HorizontalCarousel from '../src'

const LIST_DATA = [
  {
      id: 'Tab_1',
      description: 'There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain'
  },
  {
      id: 'Tab_2',
      description: 'There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain'
  },
  {
      id: 'Tab_3',
      description: 'There is no one who loves pain itself, who seeks after it and wants to have it, simply because it is pain'
  }
];

const App: () => React$Node = () => {
  return (
        <HorizontalCarousel
          // containerWidth = {300}
          renderRow = {(index, item) => (
            <Text style = {{ padding: 10 }} numberOfLines = {4}>
                {item.description}
            </Text>
          )}
          dotColor = "red"
          data={LIST_DATA}
          forwardText = {'next'}
          backwardText = {'previous'}
        />
  );
};

export default App;
